Page MenuHome

Blender keymapping not working
Closed, ResolvedPublic

Description

System Information
Operating system: Windows 10
Graphics card: NVidea GeForce GTX 1080ti

Blender Version
Broken: Blender 2.8 daily build 96f762500ef9
Worked: Blender 2.8 daily build de36a2f99b3

Ever since de36a2f99b3, all daily builds of blender have no keymap preference, it just displays a blank page. Mouse and keyboard input do not work at all, I can only click on the main menu and see the preferences for example. The last build that worked for me was de36a2f99b3. Since then every daily build has the same issue. It's the same for my co-worker, nothing works for us here. We are on a secure network at Rode FX, and blender builds are simply on our desktops.

Open blender, middle click in the 3D viewport to orbit, nothing happens. Same with Shift S, scroll wheel to zoom in and out, basically no keyboard or mouse functions work at all.

Details

Type
Bug

Event Timeline

Adding a screen shot of the preferences window.

Try running blender with the --factory-startup command line option and see if that solves the problem. If it does, you should remove the 2.80 directory under "%APPDATA%\Blender Foundation\Blender"

First thing I tried a few weeks ago, and also tried deleting said directory... still the same issue. Strange that it's affecting multiple users here at Rodeo, I also though it might be my kvm switch, since I hop from a linux box to windows, but that's not it. Also tried deleting every blender folder on my box and starting a new blender build, but same problem.

Thanks for the help by the way!

I can also click on all UI icons and menus, that works, but any viewer manipulations, like selecting objects in the outliner, moving the timeline, orbiting and selecting objects in the viewers, moving nodes in the compositor or shading network, sculpting, moving my render view image plane, none of that works.

Brecht Van Lommel (brecht) triaged this task as Needs Information from User priority.Jan 8 2019, 11:26 AM

Can you try running Blender from the command line, and pasting the output here (likely showing Python errors)?

C:\Users\matthew\Desktop\blender\blender-2.80.0-git.96f762500ef9-windows64>blender
Read prefs: C:\Users\matthew\AppData\Roaming\Blender Foundation\Blender\2.80\config\userpref.blend
AL lib: (EE) UpdateDeviceParams: Failed to set 48000hz, got 44100hz instead
found bundled python: C:\Users\matthew\Desktop\blender\blender-2.80.0-git.96f762500ef9-windows64\2.80\python
Traceback (most recent call last):

File "C:\Users\matthew\Desktop\blender\blender-2.80.0-git.96f762500ef9-windows64\2.80\scripts\modules\addon_utils.py", line 351, in enable
  mod = __import__(module_name)
File "C:\Users\matthew\Desktop\blender\blender-2.80.0-git.96f762500ef9-windows64\2.80\scripts\addons\io_scene_gltf2\__init__.py", line 24, in <module>
  from .io.com.gltf2_io_debug import Log
File "C:\Users\matthew\Desktop\blender\blender-2.80.0-git.96f762500ef9-windows64\2.80\scripts\addons\io_scene_gltf2\io\com\gltf2_io_debug.py", line 20, in <module>
  import logging
File "C:\Users\matthew\Desktop\blender\blender-2.80.0-git.96f762500ef9-windows64\2.80\python\lib\logging\__init__.py", line 26, in <module>
  import sys, os, time, io, traceback, warnings, weakref, collections.abc
File "C:\Users\matthew\Desktop\blender\blender-2.80.0-git.96f762500ef9-windows64\2.80\python\lib\traceback.py", line 5, in <module>
  import linecache
File "C:\Users\matthew\Desktop\blender\blender-2.80.0-git.96f762500ef9-windows64\2.80\python\lib\linecache.py", line 11, in <module>
  import tokenize
File "C:\Users\matthew\Desktop\blender\blender-2.80.0-git.96f762500ef9-windows64\2.80\python\lib\tokenize.py", line 33, in <module>
  import re
File "C:\Users\matthew\Desktop\blender\blender-2.80.0-git.96f762500ef9-windows64\2.80\python\lib\re.py", line 143, in <module>
  class RegexFlag(enum.IntFlag):

AttributeError: module 'enum' has no attribute 'IntFlag'

During handling of the above exception, another exception occurred:

Traceback (most recent call last):

File "C:\Users\matthew\Desktop\blender\blender-2.80.0-git.96f762500ef9-windows64\2.80\scripts\modules\bpy\__init__.py", line 81, in <module>
  main()
File "C:\Users\matthew\Desktop\blender\blender-2.80.0-git.96f762500ef9-windows64\2.80\scripts\modules\bpy\__init__.py", line 78, in main
  utils.load_scripts()
File "C:\Users\matthew\Desktop\blender\blender-2.80.0-git.96f762500ef9-windows64\2.80\scripts\modules\bpy\utils\__init__.py", line 273, in load_scripts
  _initialize()
File "C:\Users\matthew\Desktop\blender\blender-2.80.0-git.96f762500ef9-windows64\2.80\scripts\modules\addon_utils.py", line 47, in _initialize
  enable(addon.module)
File "C:\Users\matthew\Desktop\blender\blender-2.80.0-git.96f762500ef9-windows64\2.80\scripts\modules\addon_utils.py", line 359, in enable
  handle_error(ex)
File "C:\Users\matthew\Desktop\blender\blender-2.80.0-git.96f762500ef9-windows64\2.80\scripts\modules\addon_utils.py", line 299, in handle_error
  import traceback
File "C:\Users\matthew\Desktop\blender\blender-2.80.0-git.96f762500ef9-windows64\2.80\python\lib\traceback.py", line 5, in <module>
  import linecache
File "C:\Users\matthew\Desktop\blender\blender-2.80.0-git.96f762500ef9-windows64\2.80\python\lib\linecache.py", line 11, in <module>
  import tokenize
File "C:\Users\matthew\Desktop\blender\blender-2.80.0-git.96f762500ef9-windows64\2.80\python\lib\tokenize.py", line 33, in <module>
  import re
File "C:\Users\matthew\Desktop\blender\blender-2.80.0-git.96f762500ef9-windows64\2.80\python\lib\re.py", line 143, in <module>
  class RegexFlag(enum.IntFlag):

AttributeError: module 'enum' has no attribute 'IntFlag'
Traceback (most recent call last):

File "C:\Users\matthew\Desktop\blender\blender-2.80.0-git.96f762500ef9-windows64\2.80\scripts\modules\bpy\utils\__init__.py", line 186, in register_module_call
  register()
File "C:\Users\matthew\Desktop\blender\blender-2.80.0-git.96f762500ef9-windows64\2.80\scripts\startup\bl_operators\__init__.py", line 69, in register
  register_class(cls)

ValueError: register_class(...): already registered as a subclass

During handling of the above exception, another exception occurred:

Traceback (most recent call last):

File "C:\Users\matthew\Desktop\blender\blender-2.80.0-git.96f762500ef9-windows64\2.80\scripts\modules\bpy\__init__.py", line 81, in <module>
  main()
File "C:\Users\matthew\Desktop\blender\blender-2.80.0-git.96f762500ef9-windows64\2.80\scripts\modules\bpy\__init__.py", line 78, in main
  utils.load_scripts()
File "C:\Users\matthew\Desktop\blender\blender-2.80.0-git.96f762500ef9-windows64\2.80\scripts\modules\bpy\utils\__init__.py", line 261, in load_scripts
  test_register(mod)
File "C:\Users\matthew\Desktop\blender\blender-2.80.0-git.96f762500ef9-windows64\2.80\scripts\modules\bpy\utils\__init__.py", line 228, in test_register
  register_module_call(mod)
File "C:\Users\matthew\Desktop\blender\blender-2.80.0-git.96f762500ef9-windows64\2.80\scripts\modules\bpy\utils\__init__.py", line 188, in register_module_call
  import traceback
File "C:\Users\matthew\Desktop\blender\blender-2.80.0-git.96f762500ef9-windows64\2.80\python\lib\traceback.py", line 5, in <module>
  import linecache
File "C:\Users\matthew\Desktop\blender\blender-2.80.0-git.96f762500ef9-windows64\2.80\python\lib\linecache.py", line 11, in <module>
  import tokenize
File "C:\Users\matthew\Desktop\blender\blender-2.80.0-git.96f762500ef9-windows64\2.80\python\lib\tokenize.py", line 33, in <module>
  import re
File "C:\Users\matthew\Desktop\blender\blender-2.80.0-git.96f762500ef9-windows64\2.80\python\lib\re.py", line 143, in <module>
  class RegexFlag(enum.IntFlag):

AttributeError: module 'enum' has no attribute 'IntFlag'

location: <unknown location>:-1

location: <unknown location>:-1
Keymap: '3D View Tool: Cursor' not found for tool 'Cursor'
Keymap: '3D View Tool: Cursor' not found for tool 'Cursor'
Keymap: '3D View Tool: Cursor' not found for tool 'Cursor'
Keymap: '3D View Tool: Cursor' not found for tool 'Cursor'
Keymap: '3D View Tool: Cursor' not found for tool 'Cursor'
...

etc. That's me trying to orbit in a fresh scene, to no avail.

It seems like the kind of error that you might get with conflicting Python installations.

Do you have a PYTHONPATH environment variable set?
https://docs.blender.org/manual/en/dev/troubleshooting/python.html#pythonpath

Indeed Brecht, I had a custom python lib that was causing issues. When I force the pythonpath to grab a vanilla python install, it works... Apologies for this, totally user error more than a bug.

Cheers, sorry for the noise!

Brecht Van Lommel (brecht) closed this task as Resolved.Jan 8 2019, 5:12 PM
Brecht Van Lommel (brecht) claimed this task.

Ok, thanks for testing.